import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Component;
import java.awt.Frame;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.util.Locale;

import quadbase.ChartAPI.QbChart;
import quadbase.util.LocaleNumericFormat;

public class LocaleObject extends Applet {

	static final long serialVersionUID = 1;

	public static void main(String[] args) {
		try {
			LocaleObject report = new LocaleObject();
			Frame frame = new Frame();
			frame.setLayout(new BorderLayout());
			frame.add("Center", report.doSetChartPath(null));
			frame.addWindowListener(new WindowAdapter() {
				@Override
				public void windowClosing(WindowEvent e) {
					System.exit(0);
				}
			});
			frame.setSize(800, 600);
			frame.setVisible(true);

		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}

	@Override
	public void init() {
		setLayout(new BorderLayout());
		add("Center", doSetChartPath(this));
	}

	Component doSetChartPath(Applet parent) {

		// Do not use EspressManager
		QbChart.setEspressManagerUsed(false);

		// Open the template
		QbChart chart = new QbChart(parent, // container 
				"LocaleChart.cht"); // template

		// Set the locale for y-axis
		LocaleNumericFormat currencyFormat = LocaleNumericFormat.getCurrencyInstance();
		currencyFormat.setLocale(Locale.UK);
		int columnIndex = 2; //column 2 is the "Sales" column
		chart.gethDataPoints().setLabelFormat(columnIndex, currencyFormat);

		// Show chart in Viewer
		return chart;
	}

}
